from easymaker import initializer

from easymaker.training import job

from easymaker.common import constants

from easymaker.common import exceptions

from easymaker.common import utils

from easymaker.storage import objectstorage

import importlib_metadata

__version__ = importlib_metadata.version("easymaker")

easymaker_config = initializer.global_config

api_sender = initializer.global_config.api_sender

"""
Usage:
import easymaker
easymaker.init(appkey='appkey', region='kr1', user_id='dl_easymaker_dev@nhn.com', secret_key='secretKey')
"""
init = initializer.global_config.init

"""
Usage:
import easymaker
easymaker.TrainingJob()
"""
TrainingJob = job.TrainingJob

"""
Usage:
import easymaker
easymaker.download('obs://tenant_id/container_name/path', './download_dir')
"""
download = objectstorage.download

__all__ = (
    "init",
    "TrainingJob",
)
